Bug 1289214 - Cython: add virtual provides for python2-Cython
Cython: add virtual provides for python2-Cython
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Cython (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Neal Becker
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1356680
  Show dependency treegraph
 
Reported: 2015-12-07 11:45 EST by Carl George
Modified: 2016-07-14 13:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1356680 (view as bug list)
Environment:
Last Closed: 2016-02-20 15:43:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl George 2015-12-07 11:45:34 EST
Description of problem:
The Fedora Python packaging guidelines [1] state that python2 packages must provide the `python2-` version of their name.  I understand that this isn't a typical module, but there is no reason to not add this virtual provides to meet the spirit of the guidelines.

Version-Release number of selected component (if applicable):
0.23-2.fc24
0.23-1.fc23
0.23-1.fc22

Suggested fix:
Add this line to the spec file.
Provides: python2-Cython = %{version}-%{release}

Additional info:
[1]: http://fedoraproject.org/wiki/Packaging:Python#Provides

Note You need to log in before you can comment on or make changes to this bug.